body {
  margin: 0;
  color: white;
  font-family: sans-serif;
  background: url(graphics/3_background/Layers/5.Water/D.png);
  position: relative;
  box-sizing: border-box;
}

header {
  top: 0;
  display: flex;
  align-items: center;
  justify-content: start;
  width: 100%;
  position: absolute;
  top: 0;
}

header h1 {
  font-size: 48px;
  background: rgba(0, 0, 255, 0.151);
  padding: 1.2%;
  margin-left: 5%;
  font-family: cursive;
  border-radius: 50%;
  border: 3px solid rgba(255, 255, 255, 0.534);
}

.content-container {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  height: 100vh;
}

.canvas-container {
  display: flex;
  flex-direction: column;
  position: relative;
}

.volume-btn {
  position: absolute;
  right: 3%;
  top: 3%;
  transition: all 50ms ease-in;
  border-radius: 50%;
  background-color: rgba(0, 0, 0, 0.211);
  padding: 0.2%;
  &:hover {
    cursor: pointer;
    scale: 105%;
  }
}

.attack-btn {
  position: absolute;
  bottom: 5%;
  right: 5%;
  width: 150px;
  background-color: #5252fad4;
  padding: 2%;
  border-radius: 20px;
}

.mobile-control {
  position: absolute;
  bottom: 2%;
  left: 2%;
  /* background-color: red; */
  width: 140px;
  height: 120px;
}

.arrow-left {
  position: absolute;
  left: 0;
  top: 30%;
  scale: 110%;
}

.arrow-up {
  position: absolute;
  rotate: 90deg;
  right: 33%;
  top: 0;
  scale: 110%;
}
.arrow-right {
  position: absolute;
  rotate: 180deg;
  right: 0;
  top: 30%;
  scale: 110%;
}
.arrow-down {
  position: absolute;
  rotate: 270deg;
  bottom: 0;
  right: 33%;
  scale: 110%;
}
/* .full-screen-btn {
  position: absolute;
  right: 2%;
  bottom: -13%;
  transition: all 50ms ease-in;
  border-radius: 25%;
  background-color: rgba(0, 0, 0, 0.211);
  padding: 0.2%;
  &:hover {
    cursor: pointer;
    scale: 105%;
  }
} */

.start-screen-container {
  background-color: black;
  position: absolute;
  top: 0;
  height: 100%;
  width: 100%;
  border-radius: 20px;
  background-image: url(./graphics/3_background/startscree_bg.png);
  background-size: cover;
  background-position: right 35% bottom 45%;
}

.start-game-btn {
  position: absolute;
  bottom: 10%;
  right: 10%;
  width: 40%;
  transition: all 150ms ease-in-out;
  cursor: pointer;
  &:hover {
    transform: scale(102%);
    filter: brightness(120%);
  }
}

.try-again-btn {
  right: 30%;
}

.controls-info {
  position: absolute;
  right: 0%;
  top: 0%;
  height: 60%;
}

.end-screen-container {
  background-color: rgba(23, 63, 237, 0.698);
  position: absolute;
  top: 0;
  height: 100%;
  width: 100%;
  border-radius: 20px;
  background-image: url(./graphics/6_botones/Tittles/you_win/you_win.png);
  background-size: contain;
  background-position: 50px -100px;
}

.end-screen-container-lose {
  background-color: rgba(23, 62, 237, 0.805);
  position: absolute;
  top: 0;
  height: 100%;
  width: 100%;
  border-radius: 20px;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.game-over {
  width: 80%;
  position: absolute;
  top: 25%;
  left: 10%;
}

canvas {
  font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
  font-size: 56px;
  font-weight: bold;
  background-color: black;
  outline: 5px solid rgba(255, 255, 255, 0.452);
  border-radius: 20px;
  display: block;
}

.mobile-control {
  display: none;
}

.attack-btn {
  display: none;
}

.turn-device-overlay {
  width: 100%;
  height: 100vh;
  position: absolute;
  top: 0;
  background-color: rgba(0, 0, 0, 0.901);
  display: flex;
  justify-content: center;
  align-items: center;

  h2 {
    font-size: 5vw;
  }
}

.legal-notice-container {
  position: fixed;
  top: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100vh;
  background: url(./graphics/3_background/Dark/1.png);
}

.close-cross {
  position: absolute;
  top: 1%;
  right: 5%;
  font-size: 5vw;
  transition: 150ms ease-in-out;
  opacity: 0.8;
  &:hover {
    cursor: pointer;
    opacity: 1;
  }
}

.impressum {
  background-color: rgba(0, 0, 0, 0.24);
  padding: 5%;
  border-radius: 20px;

  h2 {
    margin-top: 0;
  }
  div {
    margin-bottom: 4px;
    font-size: 1.2rem;
    &:last-child {
      margin-top: 12px;
    }
  }
}

.legal-notice-link {
  position: absolute;
  bottom: 5%;
  left: 5%;
  padding: 1% 5%;
  border-radius: 25px;
  border: 1px solid white;
  background-color: #531a81;
  font-weight: bold;
  transition: all 150ms ease-in-out;
  cursor: pointer;
  opacity: 0.8;
  &:hover {
    opacity: 1;
  }
}

@media only screen and (max-width: 1024px) {
  .mobile-control {
    display: block;
  }

  .attack-btn {
    display: block;
  }
}

@media only screen and (max-width: 940px) {
  .end-screen-container-lose,
  .end-screen-containe,
  .start-screen-container {
    border-radius: 0px;
  }

  canvas {
    width: 100%;
    border-radius: 0;
    outline: none;
    background-color: transparent;
  }
}

@media only screen and (max-height: 590px) {
}

@media only screen and (max-height: 480px) {
  canvas {
    height: 100vh;
  }
}

.d-none {
  display: none;
}
